import { FilterInfo } from './filter-info';
var ColumnInfo = (function () {
    function ColumnInfo(name, comment, allowSort, filterInfo, columnFormat, editable) {
        if (allowSort === void 0) { allowSort = true; }
        if (filterInfo === void 0) { filterInfo = new FilterInfo(''); }
        if (columnFormat === void 0) { columnFormat = ColumnFormat.Default; }
        if (editable === void 0) { editable = false; }
        this.name = name;
        this.comment = comment;
        this.allowSort = allowSort;
        this.filterInfo = filterInfo;
        this.columnFormat = columnFormat;
        this.editable = editable;
    }
    return ColumnInfo;
}());
export { ColumnInfo };
export var ColumnFormat;
(function (ColumnFormat) {
    ColumnFormat[ColumnFormat["Date"] = 0] = "Date";
    ColumnFormat[ColumnFormat["Datetime"] = 1] = "Datetime";
    ColumnFormat[ColumnFormat["Number"] = 2] = "Number";
    ColumnFormat[ColumnFormat["Currency"] = 3] = "Currency";
    ColumnFormat[ColumnFormat["Default"] = 4] = "Default";
    ColumnFormat[ColumnFormat["Boolean"] = 5] = "Boolean";
    ColumnFormat[ColumnFormat["Picture"] = 6] = "Picture";
    ColumnFormat[ColumnFormat["Template"] = 7] = "Template";
})(ColumnFormat || (ColumnFormat = {}));
//# sourceMappingURL=column-info.js.map